Bug 74865 - Other: Using Base with ONLY Java 7 (64bit) and LO 4.2.0.4 (64bit) on Mac Os 10.9.1
Summary: Other: Using Base with ONLY Java 7 (64bit) and LO 4.2.0.4 (64bit) on Mac Os 1...
Status: RESOLVED DUPLICATE of bug 74877
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-12 00:20 UTC by Doc
Modified: 2014-02-12 08:02 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Doc 2014-02-12 00:20:06 UTC
Problem description: Mac OS 10.9.1 with ONLY Java 7 Update 51 (64bit) and LO 4.2.0.4 (64bit) installed, Open Base from LO main menu and "Welcome to the LibreOffice database wizard (Select Database) use default "select database" - Next. In "decide how to proceed after saving the database" (save and proceed) leave all radio buttons and boxes checked as default click finish and save as new database, when click save LO crashes with message: To open "libreOffice", you need a Java SE 6 runtime. Would you like to install one now? (This is Apple's Java 6)

Steps to reproduce:As in problem description
1. ....
2. ....
3. ....

Current behavior:As above

Expected behavior: Save the database and not crash

              
Operating System: Mac OS X
Version: 4.2.0.4 release
Comment 1 Stephan Bergmann 2014-02-12 07:54:49 UTC
See part (1) of <https://bugs.freedesktop.org/show_bug.cgi?id=74597#c3>, appears that using the JNI Invocation API of Oracle's Java 7 does not work without Apple's "Java for OS X" installed.
Comment 2 Stephan Bergmann 2014-02-12 08:02:53 UTC

*** This bug has been marked as a duplicate of bug 74877 ***